Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2130977 - Editing recurring events is broken, changes a single instance instead of all instances
Summary: Editing recurring events is broken, changes a single instance instead of all ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F37FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-09-29 14:53 UTC by Kamil Páral
Modified: 2022-10-10 14:22 UTC (History)
8 users (show)

Fixed In Version: gnome-calendar-43.0-3.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-10 14:22:49 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-calendar issues 871 0 None closed Adjusting the time of a recurring google calendar event deletes all recurrences aside from the one I edited 2022-10-05 18:01:14 UTC
GNOME Gitlab GNOME gnome-calendar issues 881 0 None opened After editing a reoccuring event, the event isn't updated 2022-10-06 14:35:16 UTC

Description Kamil Páral 2022-09-29 14:53:17 UTC
This bug is only created for blocker-related purposes. Please read the upstream issue here:
https://gitlab.gnome.org/GNOME/gnome-calendar/-/issues/871

My screencast and description is here:
https://gitlab.gnome.org/GNOME/gnome-calendar/-/issues/871#note_1563409

Proposing as an F37 blocker, in case this functionality is considered a basic functionality:
https://fedoraproject.org/wiki/Fedora_37_Final_Release_Criteria#Default_application_functionality

Comment 1 Adam Williamson 2022-09-30 16:38:32 UTC
+4 in https://pagure.io/fedora-qa/blocker-review/issue/932 , marking accepted.

Comment 2 Milan Crha 2022-10-05 15:31:50 UTC
One part is trivial, the one with all/this/future chooser, but the other one, about not updating GUI properly, well, there was a working code I gave them from Evolution, which is fine-tuned and working. They decided to replace it with their own code. Making this right is very tricky. I'm not going to waste my time on this, I'm sorry.

Comment 3 Michael Catanzaro 2022-10-05 17:58:33 UTC
Thanks Milan!

So if I understand correctly, your https://gitlab.gnome.org/GNOME/gnome-calendar/-/merge_requests/256 closed the upstream issue https://gitlab.gnome.org/GNOME/gnome-calendar/-/issues/871, but the GUI is still not updating properly and we need to create another upstream issue to resolve this?

Comment 4 Milan Crha 2022-10-06 06:31:09 UTC
The GUI does not update properly for changes in/with recurring events - yes, that needs a new upstream bug.

It reminded me of a similar problem in the gnome-shell [1], which had been fixed only recently. I mean, maybe it's not such a disaster like this and the other two gnome-calendar blockers.

[1] https://gitlab.gnome.org/GNOME/gnome-shell/-/merge_requests/2328

Comment 5 Allan Day 2022-10-06 14:35:16 UTC
(In reply to Milan Crha from comment #4)
> The GUI does not update properly for changes in/with recurring events - yes,
> that needs a new upstream bug.

I've created that here:

https://gitlab.gnome.org/GNOME/gnome-calendar/-/issues/881

Comment 6 Kamil Páral 2022-10-06 15:21:53 UTC
I'm going to mark this one as resolved by this update:
https://bodhi.fedoraproject.org/updates/FEDORA-2022-89b6622d53

And I'll propose the redraw issue (and other issues I see wrt recurring events) separately.

Comment 7 Kamil Páral 2022-10-06 15:25:19 UTC
(In reply to Kamil Páral from comment #6)
> And I'll propose the redraw issue (and other issues I see wrt recurring
> events) separately.

Created bug 2132769.

Comment 8 Fedora Update System 2022-10-06 15:33:34 UTC
FEDORA-2022-89b6622d53 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-89b6622d53

Comment 9 Fedora Update System 2022-10-10 14:22:49 UTC
FEDORA-2022-89b6622d53 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.